"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const squareCollider_1 = __importDefault(require("./collision/squareCollider"));
const collisionResolver_1 = __importDefault(require("./collision/collisionResolver"));
const doa_1 = __importDefault(require("./doa/doa"));
const mountPoint_1 = __importDefault(require("./doa/mountPoint"));
const window_1 = __importDefault(require("./doa/window"));
const windowFollower_1 = __importDefault(require("./doa/windowFollower"));
const transform_1 = __importDefault(require("./main/transform"));
const circle_1 = __importDefault(require("./rendering/circle"));
const square_1 = __importDefault(require("./rendering/square"));
const point_1 = __importDefault(require("./util/point"));
const parent_1 = __importDefault(require("./main/parent"));
const squareOutline_1 = __importDefault(require("./rendering/effects/squareOutline"));
exports.default = collisionResolver_1.default + squareCollider_1.default + doa_1.default + mountPoint_1.default + window_1.default + windowFollower_1.default + transform_1.default + circle_1.default + square_1.default + squareOutline_1.default + point_1.default + parent_1.default;
//# sourceMappingURL=main.js.map