"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postTemplates = exports.templates = void 0;
const main_1 = require("./modules/main");
const component_1 = require("./modules/component");
const object_1 = require("./modules/object");
const select_1 = require("./modules/select");
const prefab_1 = require("./modules/prefab");
exports.templates = {
    //Main
    initialize: main_1.initialize,
    registerAction: main_1.registerAction,
    finalize: main_1.finalize,
    finalize1: main_1.finalize1,
    finalize2: main_1.finalize2,
    //Component
    createBehavior: component_1.createBehavior,
    extendBehavior: component_1.extendBehavior,
    setMut: component_1.setMut,
    setInline: component_1.setInline,
    getVal: component_1.getVal,
    setVal: component_1.setVal,
    setValArgs: component_1.setValArgs,
    setValAction: component_1.setValAction,
    noRegisterSetValAction: component_1.noRegisterSetValAction,
    behaviorCustom: component_1.behaviorCustom,
    setDisplay: component_1.setDisplay,
    getBehaviorArgs: component_1.getBehaviorArgs,
    objectID: component_1.objectID,
    helper: component_1.helper,
    setBehavior: component_1.setBehavior,
    //Object
    createObject: object_1.createObject,
    useBehavior: object_1.useBehavior,
    useBehaviorPost: object_1.useBehaviorPost,
    setObjectVal: object_1.setObjectVal,
    setObject: object_1.setObject,
    //Select
    selectID: select_1.selectID,
    selectedID: select_1.selectedID,
    selectAll: select_1.selectAll,
    selectBehavior: select_1.selectBehavior,
    setMutSelect: select_1.setMutSelect,
    setInlineSelect: select_1.setInlineSelect,
    getValSelect: select_1.getValSelect,
    setValSelect: select_1.setValSelect,
    setValActionSelect: select_1.setValActionSelect,
    noRegisterSetValActionSelect: select_1.noRegisterSetValActionSelect,
    reIncrement: select_1.reIncrement,
    getDisplay: select_1.getDisplay,
    //Prefab
    createPrefab: prefab_1.createPrefab,
    extendPrefab: prefab_1.extendPrefab,
    useBehaviorPrefab: prefab_1.useBehaviorPrefab,
    setPrefabVal: prefab_1.setPrefabVal,
    usePrefab: prefab_1.usePrefab,
    setPrefab: prefab_1.setPrefab
};
exports.postTemplates = "finalize!();";
//# sourceMappingURL=index.js.map