import { TemplateObject } from "logimat";
/**
 * Creates a new object.
 * Usage: createObject!(body: Body);
 */
export declare const createObject: TemplateObject;
/**
 * Add a behavior to an object.
 * Usage: useBehavior!(behaviorName: string);
 */
export declare const useBehavior: TemplateObject;
/**
 * Internal use only.
 */
export declare const useBehaviorPost: TemplateObject;
/**
 * Set the value of an object's variable (during compilation). This must be used before a variable is marked as mutable.
 * Usage: setObjectVal!(variableName: string, val: number);
 */
export declare const setObjectVal: TemplateObject;
/**
 * For internal use only.
 */
export declare const setObject: TemplateObject;
