"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GameObject = void 0;
class GameObject {
    constructor(id) {
        /**
         * A list of the names of every behavior on this GameObject.
         */
        this.behaviors = [];
        /**
         * A record of every behavior-specific post action that needs to be output when this object compiles.
         */
        this.behaviorPostActions = [];
        /**
         * A record of all the display properties for this object.
         */
        this.displayProperties = [];
        this.id = id;
    }
}
exports.GameObject = GameObject;
//# sourceMappingURL=GameObject.js.map